AI Gateway
Get all active Gateway LLMs accessible by the user
Get all active Gateway LLMs accessible by the user
GET
/
api
/
aigateway
/
v1
/
endpoints
Get all active Gateway LLMs accessible by the user
curl --request GET \
--url https://mycluster.domino.tech/api/aigateway/v1/endpoints \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/aigateway/v1/endpoints"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/aigateway/v1/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"endpoints": [
{
"creationDate": "2022-04-23T18:25:43.511Z",
"endpointId": "62604702b7e5d347dbe7a909",
"endpointName": "completions",
"endpointType": "llm/v1/completions",
"modelConfig": {
"openai_api_key": "58utu49034093nc9cc9n"
},
"modelName": "gpt-4",
"modelProvider": "openai"
}
],
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Query Parameters
How many Endpoints from the start to skip. Defaults to 0.
Max number of Endpoints to fetch. Defaults to fetching all.
The field by which to sort the list of returned endpoints. Defaults to creation date
Available options:
creationDate, endpointName, endpointType, modelProvider, modelName Boolean whether to sort Endpoints ascending or descending. Defaults to false (descending).
Search string by which to filter the list of returned endpoints
Last modified on September 3, 2026
Was this page helpful?
⌘I
Get all active Gateway LLMs accessible by the user
